Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] ansible: update to 5.7.1.
@ 2022-05-10 14:52 jcgruenhage
  2022-05-14  1:22 ` [PR REVIEW] " ericonr
  2022-05-14  8:10 ` jcgruenhage
  0 siblings, 2 replies; 3+ messages in thread
From: jcgruenhage @ 2022-05-10 14:52 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1317 bytes --]

There is a new pull request by jcgruenhage against master on the void-packages repository

https://github.com/jcgruenhage/void-packages ansible-5.7.1_1
https://github.com/void-linux/void-packages/pull/37074

ansible: update to 5.7.1.
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**
- 
<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!--
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->

Updating ansible, ansible-core, ansible-lint and ansible-compat.


A patch file from https://github.com/void-linux/void-packages/pull/37074.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ansible-5.7.1_1-37074.patch --]
[-- Type: text/x-diff, Size: 5240 bytes --]

From 7304c67462f0ab4d7d64afe737a237b0125ea0e7 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Jan=20Christian=20Gr=C3=BCnhage?=
 <jan.christian@gruenhage.xyz>
Date: Tue, 10 May 2022 16:04:22 +0200
Subject: [PATCH 1/4] ansible-core: update to 2.12.5.

---
 srcpkgs/ansible-core/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/ansible-core/template b/srcpkgs/ansible-core/template
index 600682ca6939..c4bbe044606e 100644
--- a/srcpkgs/ansible-core/template
+++ b/srcpkgs/ansible-core/template
@@ -1,6 +1,6 @@
 # Template file for 'ansible-core'
 pkgname=ansible-core
-version=2.12.4
+version=2.12.5
 revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -11,7 +11,7 @@ maintainer="Jan Christian Grünhage <jan.christian@gruenhage.xyz>"
 license="GPL-3.0-or-later"
 homepage="https://www.ansible.com/"
 distfiles="${PYPI_SITE}/a/ansible-core/ansible-core-${version}.tar.gz"
-checksum=827af75985a6f04b980bd371027bf038cb187640628557298acb9983a8f2c2da
+checksum=1ccc9944f101331adad1ed40d5ac66a8149133052ae34db0267a74aa73beebb3
 conflicts="ansible<2.10.1_1"
 replaces="ansible-base<2.11.0_1"
 # Tests are currently broken for ansible on python 3.10

From f715c9708f36f70ee66af5fe2e340ab9055eba33 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Jan=20Christian=20Gr=C3=BCnhage?=
 <jan.christian@gruenhage.xyz>
Date: Tue, 10 May 2022 16:04:42 +0200
Subject: [PATCH 2/4] ansible: update to 5.7.1.

---
 srcpkgs/ansible/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/ansible/template b/srcpkgs/ansible/template
index 50439199bcdf..0d34c5a6884b 100644
--- a/srcpkgs/ansible/template
+++ b/srcpkgs/ansible/template
@@ -1,6 +1,6 @@
 # Template file for 'ansible'
 pkgname=ansible
-version=5.6.0
+version=5.7.1
 revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -10,7 +10,7 @@ maintainer="Jan Christian Grünhage <jan.christian@gruenhage.xyz>"
 license="GPL-3.0-or-later"
 homepage="https://www.ansible.com/"
 distfiles="${PYPI_SITE}/a/ansible/ansible-${version}.tar.gz"
-checksum=acd30731434154da376ceeeb416ee1541cdfb8ea3c648023a55a34cb3ecaf9f3
+checksum=90a09a34510d194d63556895a225a89e4a8b748b9ae215b55e517a37de063a61
 # Tests are currently broken for ansible on python 3.10
 # See https://github.com/ansible/ansible/issues/74658
 # and https://github.com/ansible/ansible/issues/74660

From 07307577827b9971ac8b9d04606c945e6d55f6c0 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Jan=20Christian=20Gr=C3=BCnhage?=
 <jan.christian@gruenhage.xyz>
Date: Tue, 10 May 2022 16:04:50 +0200
Subject: [PATCH 3/4] python3-ansible-compat: update to 2.0.3.

---
 srcpkgs/python3-ansible-compat/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/python3-ansible-compat/template b/srcpkgs/python3-ansible-compat/template
index 919455b7e64b..04b985e1cdbf 100644
--- a/srcpkgs/python3-ansible-compat/template
+++ b/srcpkgs/python3-ansible-compat/template
@@ -1,6 +1,6 @@
 # Template file for 'python3-ansible-compat'
 pkgname=python3-ansible-compat
-version=2.0.2
+version=2.0.3
 revision=1
 wrksrc="${pkgname/python3-/}-${version}"
 build_style=python3-pep517
@@ -12,7 +12,7 @@ maintainer="Jan Christian Grünhage <jan.christian@gruenhage.xyz>"
 license="MIT"
 homepage="https://github.com/ansible-community/ansible-compat"
 distfiles="${PYPI_SITE}/a/${pkgname/python3-/}/${pkgname/python3-/}-${version}.tar.gz"
-checksum=c651995dc323ef145bab857fee6540febc881fb71b7feafe8163d49e273163a5
+checksum=a1157e4059de41879f3f65d5ed62bf343fe5bd45286101e2d2971ffe57e3a8a5
 
 post_patch() {
 	# scm versioning is broken in this release

From 3b8f6ec15cb26aba6aa283c63a1c9a9f62de47d0 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Jan=20Christian=20Gr=C3=BCnhage?=
 <jan.christian@gruenhage.xyz>
Date: Tue, 10 May 2022 16:04:54 +0200
Subject: [PATCH 4/4] python3-ansible-lint: update to 6.1.0.

---
 srcpkgs/python3-ansible-lint/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/python3-ansible-lint/template b/srcpkgs/python3-ansible-lint/template
index 00d8dc40f6a6..3a71832996fe 100644
--- a/srcpkgs/python3-ansible-lint/template
+++ b/srcpkgs/python3-ansible-lint/template
@@ -1,6 +1,6 @@
 # Template file for 'python3-ansible-lint'
 pkgname=python3-ansible-lint
-version=6.0.2
+version=6.1.0
 revision=1
 wrksrc="${pkgname/python3-/}-${version}"
 build_style=python3-pep517
@@ -19,7 +19,7 @@ maintainer="Jan Christian Grünhage <jan.christian@gruenhage.xyz>"
 license="GPL-3.0-only"
 homepage="https://github.com/ansible-community/ansible-lint"
 distfiles="${PYPI_SITE}/a/${pkgname/python3-/}/${pkgname/python3-/}-${version}.tar.gz"
-checksum=b539bc22d13e6de0cc2e25758e1d28b2bc01561a414ae37ceda3708b5a2a79ed
+checksum=34491240d3e5405eee26471f3a00ab0d54724eb60a359e2424864a544e6097d4
 # Tests are currently broken for ansible on python 3.10
 # See https://github.com/ansible/ansible/issues/74658
 # and https://github.com/ansible/ansible/issues/74660
@@ -27,5 +27,5 @@ make_check=no
 
 post_patch() {
 	# scm versioning is broken in this release
-	vsed -e "/name =/a version = ${version}" -e "/setuptools_scm/d" -i setup.cfg
+	vsed -e "/name =/a version = ${version}" -i setup.cfg
 }

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PR REVIEW] ansible: update to 5.7.1.
  2022-05-10 14:52 [PR PATCH] ansible: update to 5.7.1 jcgruenhage
@ 2022-05-14  1:22 ` ericonr
  2022-05-14  8:10 ` jcgruenhage
  1 sibling, 0 replies; 3+ messages in thread
From: ericonr @ 2022-05-14  1:22 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 176 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/37074#discussion_r872909193

Comment:
This comment is now outdated.

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PR REVIEW] ansible: update to 5.7.1.
  2022-05-10 14:52 [PR PATCH] ansible: update to 5.7.1 jcgruenhage
  2022-05-14  1:22 ` [PR REVIEW] " ericonr
@ 2022-05-14  8:10 ` jcgruenhage
  1 sibling, 0 replies; 3+ messages in thread
From: jcgruenhage @ 2022-05-14  8:10 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 364 bytes --]

New review comment by jcgruenhage on void-packages repository

https://github.com/void-linux/void-packages/pull/37074#discussion_r872949879

Comment:
I think this comment was outdated before I adopted them as well, no?

Would you be happy with just skipping a comment? Alternatively, "Explicitly set version as it can't be discovered from the scm automatically"

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2022-05-14  8:10 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-05-10 14:52 [PR PATCH] ansible: update to 5.7.1 jcgruenhage
2022-05-14  1:22 ` [PR REVIEW] " ericonr
2022-05-14  8:10 ` jcgruenhage

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).